import { ActionItem, BasicColumn } from '/@/components/Table';
import { useMessage } from '/@/hooks/web/useMessage';
import { useI18n } from '/@/hooks/web/useI18n';
import { FunctionType } from '/@/api/tigerapi/model/systemModel';

const { t } = useI18n();
const { notification } = useMessage();
/* 自定义按钮方法 */
export function RsGrpRelease(reload: Fn, params: {}) {
  console.log('点击了下发按钮');
  notification.success({
    message: '点击了下发按钮',
    description: `${params.entityName}`,
    duration: 3,
  });
  reload();
}

export const rsGrpactionColumn: BasicColumn = {
  width: 180,
  title: '操作',
  dataIndex: 'action',
  slots: { customRender: 'action' },
  fixed: undefined,
};

export const rsGrpActionItem: ActionItem[] = [
  {
    icon: 'release|svg',
    tooltip: '下发',
    onClick: () => {},
  },
];

export function rsGrpGetSelectSuccess(d, u) {
  return {
    RSNG_CODE: d.values.values,
  };
}

export function rsGrpOpenSelectItem(openItemModal: Fn) {
  openItemModal(true, {
    title: '不良原因组列表',
    schemas: [
      {
        field: 'RSNG_CODE',
        component: 'Input',
        label: '不良原因组代码',
        colProps: {
          span: 12,
        },
      },
    ],
    ItemColumns: [
      {
        title: t('不良原因组代码'),
        dataIndex: 'RSNG_CODE',
        resizable: true,
        sorter: true,
        width: 200,
      },
      {
        title: t('不良原因组名称'),
        dataIndex: 'RSNG_NAME',
        resizable: true,
        sorter: true,
        width: 180,
      },
    ],
    tableName: 'BAS_REASON_GRP',
    rowKey: 'RSNG_CODE',
  });
}

/* Select onChange 方法字典 */
export const onChangeFns: Record<string, FunctionType> = {
  ABC: (e) => {
    notification.success({
      message: '进入了onChange函数',
      description: `${e}`,
      duration: 3,
    });
  },
  XXX: (e) => {},
};
